﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace igCombo_TabHelper.Pages
{
    public class IndexModel : PageModel
    {
        public List<Item> Items { get; set; } = new List<Item>();

        public IndexModel()
        {
            for (int i = 0; i < 5; i++)
            {
                var item = new Item();

                item.Id = i + 1;

                item.Username = $"Name {i}";

                this.Items.Add(item);
            }
        }

        public void OnGet()
        {

        }
    }

    public class Item
    {
        public int Id { get; set; }
        public string Username { get; set; }
    }
}
